## %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           cvs2svn
Version:        2.3.0
Release:        1%{?_dist_release}
Summary:        CVS to Subversion Repository Converter
Summary(ja):    CVS から Subversion へのリポジトリコンバータ

Group:          Development/Tools
License:        BSD
URL:            http://cvs2svn.tigris.org/
Source0:        http://cvs2svn.tigris.org/files/documents/1462/46528/cvs2svn-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       cvs, rcs, subversion

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin

%description
cvs2svn is a Python script that converts a CVS repository to a 
Subversion repository. It is designed for one-time conversions, not for 
repeated synchronizations between CVS and Subversion.

%description -l ja
cvs2svn は Python で書かれたスクリプトで、CVS リポジトリを
Subversion (SVN) リポジトリに変換します。
このスクリプトは一度変換することだけを目的としており、
CVS と SVN のリポジトリの同期をとるためのものではありません。


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc BUGS CHANGES COMMITTERS COPYING HACKING PKG-INFO README cvs2svn-example.options www/*.html
%{_bindir}/*
%{python_sitelib}/*


%changelog
* Sun May 08 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.3.0-1
- new upstream release

* Sat Mar 20 2010 Shu KONNO <owa@bg.wakwak.com> 1.5.1-3
- rebuilt with python-2.6

* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 1.5.1-2vl5
- applied new versioning policy, spec in utf-8
- rebuilt with python-2.5.2

* Wed May 30 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.5.1-1vl1
- updated to 1.5.1 release based on FC 1.5.1-1

  - Sat Jan 22 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.2.0-0vl1
  - initial build

* Sun Mar 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.1-1
- Upstream 1.5.1

* Sat Oct 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.5.0-1
- Upstream 1.5.0

* Wed Sep 06 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-2
- Ghostbusting

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-1
- 1.4.0 final release

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.4.rc1
- Require cvs and subversion
- Add python-abi for easy builds on systems <FC4

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.3.rc1
- Requires rcs.

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.2.rc1
- Group is Development/Tools

* Wed Jul 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.4.0-0.1.rc1
- Initial packaging.
